3 Replies Latest reply: Jan 5, 2013 9:08 AM by lemmans
annaoscar Level 1 Level 1 (0 points)

My son has an iPod touch (probably 3rd or 4th generation) and wanted to download some new apps. However a window pops up saying Update required, this app requires iOS 4.3.

How do I get iOS 4.3 please?


iPod touch